/** 
 *
 *   Coordinates manipulation for "antenna" position system.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ??? 
 **/

#ifndef _COORDINATE_H
#define _COORDINATE_H


/* 360/((180/15)*2^14) */
#define DEG_FACTOR .0018310546875

/* 24/((180/15)*2^14) */
#define HR_FACTOR .0001220703125

#define ENC2DEG(enc) ( (double) enc * DEG_FACTOR)
#define ENC2HR(enc) ( (double) enc * HR_FACTOR)


int str2cord_type(char *co);
int diff_evaluate(int old, int new, int *current_factor);

#endif  /* ifndef _COORDINATE_H */
